## samba 4.8.5+dfsg

=== debian/changelog ===
samba (2:4.8.5+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Bump ldb Build-depends to 2:1.4.0+really1.3.6
    - Fixes FTBFS on kFreeBSD (Closes: #883972)
    - d/rules: winbind_krb5_locator is now in the correct path
    - winbind_krb5_locator manpage has moved from section 7 to 8
  * Standards-Version: 4.2.1

 -- Mathieu Parent <sathieu@debian.org>  Thu, 30 Aug 2018 19:32:24 +0200

=== debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>,
           Ivo De Decker <ivodd@debian.org>,
           Mathieu Parent <sathieu@debian.org>,
           Andrew Bartlett <abartlet+debian@catalyst.net.nz>
Homepage: http://www.samba.org
Standards-Version: 4.2.1
Build-Depends: bison,
               debhelper (>= 11),
               dh-exec,
               dh-python,
               docbook-xml,
               docbook-xsl,
               flex,
               glusterfs-common [linux-any],
               libacl1-dev,
               libarchive-dev,
               libattr1-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libblkid-dev,
               libbsd-dev,
               libcap-dev [linux-any],
               libcephfs-dev [linux-any],
               libcmocka-dev (>= 1.1.1),
               libcups2-dev,
               libdbus-1-dev,
               libgnutls28-dev,
               libgpgme11-dev,
               libjansson-dev,
               libldap2-dev,
               libldb-dev (>= 2:1.4.0+really1.3.6~),
               libncurses5-dev,
               libpam0g-dev,
               libparse-yapp-perl,
               libpcap-dev [hurd-i386 kfreebsd-any],
               libpopt-dev,
               libreadline-dev,
               libsystemd-dev [linux-any],
               libtalloc-dev (>= 2.1.11~),
               libtdb-dev (>= 1.3.15~),
               libtevent-dev (>= 0.9.36~),
               perl,
               pkg-config,
               po-debconf,
               python-all-dev (>= 2.6.6-3),
               python-dnspython,
               python-ldb (>= 2:1.4.0+really1.3.6~),
               python-ldb-dev (>= 2:1.4.0+really1.3.6~),
               python-talloc-dev (>= 2.1.11~),
               python-tdb (>= 1.3.15~),
               python-testtools,
               python3,
               xfslibs-dev [linux-any],
               xsltproc,
               zlib1g-dev (>= 1:1.2.3)
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/samba-team/samba
Vcs-Git: https://salsa.debian.org/samba-team/samba.git

Package: samba
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: adduser,
         libpam-modules,
         libpam-runtime (>= 1.0.1-11),
         lsb-base (>= 4.1+Debian),
         procps,
         python,
         python-dnspython,
         python-samba,
         samba-common (= ${source:Version}),
         samba-common-bin (=${binary:Version}),
         tdb-tools,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: attr, logrotate, samba-dsdb-modules, samba-vfs-modules
Suggests: bind9 (>= 1:9.5.1),
          bind9utils,
          ctdb,
          ldb-tools,
          ntp | chrony (>= 3.0-1),
          smbldap-tools,
          ufw,
          winbind
Enhances: bind9, ntp
Description: SMB/CIFS file, print, and login server for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides the components necessary to use Samba as a stand-alone
 file and print server or as an NT4 or Active Directory domain controller.
 For use in an NT4 domain or Active Directory realm, you will also need the
 winbind package.
 .
 This package is not required for connecting to existing SMB/CIFS servers
 (see smbclient) or for mounting remote filesystems (see cifs-utils).

Package: samba-libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: samba (<< 2:4.3.3+dfsg-1)
Description: Samba core libraries
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the shared libraries.

Package: samba-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ucf, ${misc:Depends}
Recommends: samba-common-bin
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains common files used by all parts of Samba.

Package: samba-common-bin
Architecture: any
Depends: python,
         python-samba,
         samba-common (=${source:Version}),
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: heimdal-clients
Description: Samba common files used by both the server and the client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the common files that are used by both the server
 (provided in the samba package) and the client (provided in the samba-clients
 package).

Package: smbclient
Architecture: any
Depends: samba-common (= ${source:Version}),
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Provides: samba-client
Suggests: cifs-utils, heimdal-clients
Description: command-line SMB/CIFS clients for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains command-line utilities for accessing Microsoft
 Windows and Samba servers, including smbclient, smbtar, and smbspool.
 Utilities for mounting shares locally are found in the package
 cifs-utils.

Package: samba-testsuite
Architecture: any
Suggests: subunit
Depends: samba-common-bin,
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: test suite from Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains programs for testing the reliability and speed
 of SMB servers, Samba in particular.

Package: registry-tools
Architecture: any
Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: tools for viewing and manipulating the Windows registry
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains tools for viewing and manipulating the binary
 "registry" found on Windows machines, both locally and remote.

Package: libparse-pidl-perl
Architecture: any
Multi-Arch: same
Depends: libparse-yapp-perl, ${misc:Depends}, ${perl:Depends}
Recommends: samba-dev
Suggests: libwireshark-dev
Section: perl
Description: IDL compiler written in Perl
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the IDL (Interface Description Language) compiler pidl,
 which takes in IDL files and can output C code for various uses. It is
 primarily of interest to developers.

Package: samba-dev
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libldb-dev,
         libparse-pidl-perl,
         libpopt-dev,
         libtalloc-dev,
         libtdb-dev (>= 1.2.11),
         libtevent-dev,
         samba-libs (= ${binary:Version}),
         ${misc:Depends}
Section: devel
Description: tools for extending Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains include files shared by the various Samba-based
 libraries.

Package: python-samba
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Section: python
Provides: ${python:Provides}
Suggests: python-gpgme
Depends: python-crypto,
         python-ldb,
         python-tdb,
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains Python bindings for most Samba libraries.

Package: samba-dsdb-modules
Architecture: any
Multi-Arch: same
Section: libs
Depends: libgpgme11,
         samba-libs (= ${binary:Version}),
         ${ldb:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: libldb1
Description: Samba Directory Services Database
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains LDB plugins which add support for various Active
 Directory features to the LDB library.

Package: samba-vfs-modules
Architecture: any
Multi-Arch: same
Breaks: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
Replaces: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: ${vfsmods:Recommends}
Enhances: samba
Description: Samba Virtual FileSystem plugins
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 Virtual FileSystem modules are stacked shared libraries extending the
 functionality of Samba. Some examples are:
  * vfs_acl_xattr: Save NTFS-ACLs in Extended Attributes
  * vfs_audit: record selected Samba VFS operations in the system log
  * vfs_readonly: Make a Samba share read only for a specified time period
  * vfs_recycle: Give the same effect as the Recycle Bin on Windows computers
  * vfs_shadow_copy2: Expose snapshots to Windows clients as shadow copies
  * vfs_worm: Disallow writes for older file
 .
 Note: The runtime dependencies of vfs_ceph, vfs_glusterfs and vfs_snapper are
 moved to Recommends.

Package: libsmbclient
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# By Jelmer Vernooij <jelmer@samba.org>
#
DESTDIR = $(CURDIR)/debian/tmp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PYVERS=$(shell pyversions -vr)

LDB_VERSION = $(shell pkg-config --modversion ldb)
LDB_EPOCH = $(shell dpkg-query -f '$${Version}' -W libldb-dev | sed 's/:.*//')
LDB_NEXT_VERSION = $(shell python -c "x = '$(LDB_VERSION)'.split('.'); x[-1] = str(int(x[-1])+1); print '.'.join(x)")
# samba ships ldb modules, which are specific to the ldb version, so we need a
# strict dependency on the upstream ldb version
# this also mean samba needs a rebuild when the upstream ldb version changes
LDB_DEPENDS = "libldb1 (<< $(LDB_EPOCH):1.4.0+really$(LDB_NEXT_VERSION)~), libldb1 (>> $(LDB_EPOCH):1.4.0+really$(LDB_VERSION)~)"
export PYSHORT=$(shell pyversions -d)
export PYTHON=$(shell which $(PYSHORT))
export PYTHON_CONFIG="$(PYTHON)-config"
WAF = $(PYTHON) ./buildtools/bin/waf -v

# wrapper around cups-config, to work around #726726
export PATH:=$(CURDIR)/debian/bin:$(PATH)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
WAF += -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

conf_args = \
		--prefix=/usr \
		--enable-fhs \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-privatedir=/var/lib/samba/private \
		--with-smbpasswd-file=/etc/samba/smbpasswd \
		--with-piddir=/var/run/samba \
		--with-pammodulesdir=/lib/$(DEB_HOST_MULTIARCH)/security \
		--with-pam \
		--with-syslog \
		--with-utmp \
		--with-winbind \
		--with-shared-modules=idmap_rid,idmap_ad,idmap_adex,idmap_hash,idmap_ldap,idmap_tdb2,vfs_dfs_samba4,auth_samba4 \
		--with-automount \
		--with-ldap \
		--with-ads \
		--with-dnsupdate \
		--with-gpgme \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/samba \
		--datadir=/usr/share \
		--with-lockdir=/var/run/samba \
		--with-statedir=/var/lib/samba \
		--with-cachedir=/var/cache/samba \
		--enable-avahi \
		--disable-rpath \
		--disable-rpath-install \
		--bundled-libraries=NONE,pytevent,iniparser,roken,replace,wind,hx509,asn1,heimbase,hcrypto,krb5,gssapi,heimntlm,hdb,kdc,com_err,compile_et,asn1_compile \
		--builtin-libraries=ccan,samba-cluster-support \
		--minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
		--with-cluster-support \
		--with-socketpath=/var/run/ctdb/ctdbd.socket \
		--with-logdir=/var/log/ctdb

ifeq ($(DEB_HOST_ARCH_OS), linux)
	conf_args += \
		--with-systemd \
		--systemd-install-services \
		--with-systemddir=/lib/systemd/system
else
	conf_args += \
		--without-systemd
endif

ifeq ($(DEB_HOST_ARCH), amd64)
	conf_args += \
		--accel-aes=intelaesni
endif

%:
	dh $* --with python2

override_dh_auto_configure:
	$(WAF) configure $(conf_args)

override_dh_auto_build:
	DESTDIR="$(DESTDIR)" $(WAF)

override_dh_auto_test:
	# Running make test requires configuration with --enable-selftest, which
	# we don't want to do for production systems.

override_dh_auto_install:
	DESTDIR="$(DESTDIR)" $(WAF) install
	# get list of files in build log
	find ${DESTDIR}
	# Included in python-tevent
	rm $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so
	rm $(DESTDIR)/usr/lib/python*/*-packages/tevent.py
	# Already documented in debian/copyright
	-rm $(DESTDIR)/usr/share/samba/setup/ad-schema/licence.txt
	# System ldb loads its modules from a different path
	mkdir -p $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules/ldb
	ln -sf ../../../samba/ldb $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules/ldb/samba
	# pam stuff
	mkdir -p $(DESTDIR)/usr/share/pam-configs
	install -m 0644 debian/winbind.pam-config $(DESTDIR)/usr/share/pam-configs/winbind
	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libnss_* $(DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/
	# we don't ship the symlinks
	rm $(DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/libnss_*.so
	#Remove unused vfstest manpage vfstest is no longer installed
	rm $(DESTDIR)/usr/share/man/man1/vfstest.1
	# Debian goodies to set global option in smb.conf and add a share
	install -m 0755 debian/setoption.py $(DESTDIR)/usr/share/samba
	install -m 0755 debian/addshare.py $(DESTDIR)/usr/share/samba
	# Debian goodies
	cp debian/smb.conf* $(DESTDIR)/usr/share/samba/
	install -m755 debian/panic-action $(DESTDIR)/usr/share/samba/panic-action
	cp debian/gdbcommands $(DESTDIR)/etc/samba/
	mkdir -p $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d
	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d/samba
	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd
	mkdir -p $(DESTDIR)/etc/ufw/applications.d
	install -m644 debian/samba.ufw.profile $(DESTDIR)/etc/ufw/applications.d/samba
	# Install other stuff not installed by "make install"
	mkdir -p debian/samba/usr/lib/$(PYSHORT)/dist-packages/samba
	mv $(DESTDIR)/usr/lib/$(PYSHORT)/dist-packages/samba/dckeytab.so \
	   debian/samba/usr/lib/$(PYSHORT)/dist-packages/samba/dckeytab.so
	# use upstream version of smb.conf.5 if there is no built version
	# this is a temporary workaround for #750593 in xsltproc
	[ -e $(DESTDIR)/usr/share/man/man5/smb.conf.5 ] || \
	   cp docs/manpages/smb.conf.5 $(DESTDIR)/usr/share/man/man5/smb.conf.5
	# Tests that shouldn't be installed
	rm -f $(DESTDIR)/usr/bin/async_connect_send_test
	# Remove ctdb tests
	rm $(DESTDIR)/usr/bin/ctdb_run_tests
	rm $(DESTDIR)/usr/bin/ctdb_run_cluster_tests
	rm -r $(DESTDIR)/usr/lib/*/ctdb/tests
	rm -r $(DESTDIR)/usr/share/ctdb/tests
	# Install systemd configs
	mkdir -p $(DESTDIR)/lib/systemd/system/
	install -m 0644 ctdb/config/ctdb.service $(DESTDIR)/lib/systemd/system/
	# Services fixups
	mv $(DESTDIR)/lib/systemd/system/nmb.service $(DESTDIR)/lib/systemd/system/nmbd.service
	mv $(DESTDIR)/lib/systemd/system/smb.service $(DESTDIR)/lib/systemd/system/smbd.service
	mv $(DESTDIR)/lib/systemd/system/samba.service $(DESTDIR)/lib/systemd/system/samba-ad-dc.service
	sed -i \
	  -e 's|/etc/sysconfig/|/etc/default/|' \
	  -e 's|nmb\.service|nmbd.service|' \
	  -e 's|smb\.service|smbd.service|' \
	  -e 's|samba\.service|samba-ad-dc.service|' \
	  $(DESTDIR)/lib/systemd/system/nmbd.service \
	  $(DESTDIR)/lib/systemd/system/samba-ad-dc.service \
	  $(DESTDIR)/lib/systemd/system/smbd.service \
	  $(DESTDIR)/lib/systemd/system/winbind.service
	mkdir -p $(DESTDIR)/usr/lib/tmpfiles.d
	echo "d /run/samba 0755 root root -" > $(DESTDIR)/usr/lib/tmpfiles.d/samba.conf

override_dh_installdocs-arch:
	cp ctdb/config/events.d/README ctdb/README.eventscripts
	cp ctdb/config/notify.d.README ctdb/README.notify.d
	dh_installdocs
ifeq ($(DEB_HOST_ARCH_OS), hurd)
	dh_installdocs -pctdb debian/ctdb.README.hurd
endif
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	dh_installdocs -pctdb debian/ctdb.README.kfreebsd
endif

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_installchangelogs:
	dh_installchangelogs

override_dh_installinit:
ifneq (,$(filter samba, $(shell dh_listpackages)))
	dh_installinit -psamba --name smbd
	dh_installinit -psamba --name nmbd --error-handler nmbd_error_handler
	dh_installinit -psamba --name samba-ad-dc
endif
ifneq (,$(filter winbind, $(shell dh_listpackages)))
	dh_installinit -pwinbind
endif
ifneq (,$(filter ctdb, $(shell dh_listpackages)))
	install -m644 ctdb/config/ctdbd.conf $(CURDIR)/debian/ctdb/etc/ctdb/ctdbd.conf
	# Install /etc/init.d/ctdb
	mkdir -p $(CURDIR)/debian/ctdb/etc/init.d
	install -m755 ctdb/config/ctdb.init $(CURDIR)/debian/ctdb/etc/init.d/ctdb
	# Install dh scripts
	dh_installinit -pctdb --no-start --no-stop-on-upgrade --onlyscripts
endif

override_dh_installsystemd:
ifneq (,$(filter samba, $(shell dh_listpackages)))
	dh_installsystemd -psamba
endif

## samba 4.9.1+dfsg

=== debian/changelog ===
samba (2:4.9.1+dfsg-2) unstable; urgency=medium

  [ Mathieu Parent ]
  * Enable --accel-aes=intelaesni on DEB_HOST_ARCH_CPU=amd64 instead of
    DEB_HOST_ARCH=amd64. This matches samba-libs.install and adds x32
  * Allow one to change password via passwd in default config
    - third_party: Update pam_wrapper to version 1.0.7
    - third_party: Add pam_set_items.so from pam_wrapper
    - nsswitch: Add try_authtok option to pam_winbind
    - tests: Check pam_winbind pw change with different options
    - Patch for previous 4 commits
    - debian/winbind.pam-config: Use the new try_authtok option allowing
      password change while preserving current behavior with password strength
      modules (Closes: #858923, LP: #570944)
  * README.source: use gbp pull --track-missing
  * Override library-not-linked-against-libc false positives (See #896012)
  * Fix wrong-path-for-interpreter for pidl and findsmb
  * ctdb.postrm: Fix to disable_legacy (found by piuparts) (Closes: #911530)

  [ James Clarke ]
  * Fix systemd-related build failures on non-Linux

  [ Mathieu Parent ]
  * Add Gitlab CI:
    - Subscribe to salsa-ci-team/pipeline (See salsa-ci-team/pipeline!27 and
      samba-team/samba!10)
    - Copy /etc/apt/{sources.list.d,preferences.d} in the dockerbuilder
      container (salsa-ci-team/images!9)
    - Allow daemons to start during autopkgtest (salsa-ci-team/images!10)
    - debian/gitlab-ci.yml: all jobs: Use ldb from experimental
    - debian/gitlab-ci.yml: piuparts job: Add --scriptsdir, --allow-database
      and --warn-on-leftovers-after-purge options
    - debian/gitlab-ci.yml: piuparts job: Copy apt config to allow enabling
      extra repositories
    - debian/gitlab-ci.yml: piuparts job: Use image with the following changes:
      + Add pre_install_copy_configs and post_install_remove_configs to copy,
        resp. remove config files from /etc-target to /etc
      + patch pre_remove_50_find_bad_permissions to workaround findutils bug
        #912180. Also proposed another workaround in piuparts as bug #911334
        which is merged but not yet released
  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Thu, 01 Nov 2018 21:13:37 +0100

samba (2:4.9.1+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Mathieu Parent <sathieu@debian.org>  Mon, 24 Sep 2018 13:33:21 +0200

samba (2:4.9.0+dfsg-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
    - Update d/gbp.conf, d/watch and d/README.source for 4.9
    - Remove Fix-pidl-manpage-sections.patch, Fix-spelling.patch and
      Improve-vfs_linux_xfs_sgid-manpage.patch, merged upstream
    - Bump build-depends talloc >= 2.1.14, tdb >= 1.3.16, tevent >= 0.9.37 and
      ldb >= 2:1.4.2'
    - Update paths
    - Update libsmbclient.symbols
    - ctdb.lintian-override: Remove script-not-executable override
    - Add ctdb.NEWS: "Configuration has been completely overhauled"
    - ctdb: Enable/disable legacy script in postinst/presinst

 -- Mathieu Parent <sathieu@debian.org>  Sat, 22 Sep 2018 23:04:11 +0200

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libgpgme11-dev,
                libjansson-dev,
                libldap2-dev,
-               libldb-dev (>= 2:1.4.0+really1.3.6~),
+               libldb-dev (>= 2:1.4.2),
                libncurses5-dev,
                libpam0g-dev,
                libparse-yapp-perl,
@@ -41,18 +41,18 @@
                libpopt-dev,
                libreadline-dev,
                libsystemd-dev [linux-any],
-               libtalloc-dev (>= 2.1.11~),
-               libtdb-dev (>= 1.3.15~),
-               libtevent-dev (>= 0.9.36~),
+               libtalloc-dev (>= 2.1.14~),
+               libtdb-dev (>= 1.3.16~),
+               libtevent-dev (>= 0.9.37~),
                perl,
                pkg-config,
                po-debconf,
                python-all-dev (>= 2.6.6-3),
                python-dnspython,
-               python-ldb (>= 2:1.4.0+really1.3.6~),
-               python-ldb-dev (>= 2:1.4.0+really1.3.6~),
-               python-talloc-dev (>= 2.1.11~),
-               python-tdb (>= 1.3.15~),
+               python-ldb (>= 2:1.4.2),
+               python-ldb-dev (>= 2:1.4.2),
+               python-talloc-dev (>= 2.1.14~),
+               python-tdb (>= 1.3.16~),
                python-testtools,
                python3,
                xfslibs-dev [linux-any],

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # samba ships ldb modules, which are specific to the ldb version, so we need a
 # strict dependency on the upstream ldb version
 # this also mean samba needs a rebuild when the upstream ldb version changes
-LDB_DEPENDS = "libldb1 (<< $(LDB_EPOCH):1.4.0+really$(LDB_NEXT_VERSION)~), libldb1 (>> $(LDB_EPOCH):1.4.0+really$(LDB_VERSION)~)"
+LDB_DEPENDS = "libldb1 (<< $(LDB_EPOCH):$(LDB_NEXT_VERSION)~), libldb1 (>> $(LDB_EPOCH):$(LDB_VERSION)~)"
 export PYSHORT=$(shell pyversions -d)
 export PYTHON=$(shell which $(PYSHORT))
 export PYTHON_CONFIG="$(PYTHON)-config"
@@ -79,7 +79,7 @@
 		--without-systemd
 endif
 
-ifeq ($(DEB_HOST_ARCH), amd64)
+ifeq ($(DEB_HOST_ARCH_CPU), amd64)
 	conf_args += \
 		--accel-aes=intelaesni
 endif
@@ -144,6 +144,7 @@
 	rm $(DESTDIR)/usr/bin/ctdb_run_cluster_tests
 	rm -r $(DESTDIR)/usr/lib/*/ctdb/tests
 	rm -r $(DESTDIR)/usr/share/ctdb/tests
+ifeq ($(DEB_HOST_ARCH_OS), linux)
 	# Install systemd configs
 	mkdir -p $(DESTDIR)/lib/systemd/system/
 	install -m 0644 ctdb/config/ctdb.service $(DESTDIR)/lib/systemd/system/
@@ -160,12 +161,15 @@
 	  $(DESTDIR)/lib/systemd/system/samba-ad-dc.service \
 	  $(DESTDIR)/lib/systemd/system/smbd.service \
 	  $(DESTDIR)/lib/systemd/system/winbind.service
+endif
+	# Harmless on systems without systemd-tmpfiles, and other consumers exist
+	# such as OpenRC's opentmpfiles
 	mkdir -p $(DESTDIR)/usr/lib/tmpfiles.d
 	echo "d /run/samba 0755 root root -" > $(DESTDIR)/usr/lib/tmpfiles.d/samba.conf
 
 override_dh_installdocs-arch:
-	cp ctdb/config/events.d/README ctdb/README.eventscripts
-	cp ctdb/config/notify.d.README ctdb/README.notify.d
+	cp ctdb/config/events/README ctdb/README.eventscripts
+	cp ctdb/config/notification.README ctdb/README.notification
 	dh_installdocs
 ifeq ($(DEB_HOST_ARCH_OS), hurd)
 	dh_installdocs -pctdb debian/ctdb.README.hurd
@@ -190,7 +194,6 @@
 	dh_installinit -pwinbind
 endif
 ifneq (,$(filter ctdb, $(shell dh_listpackages)))
-	install -m644 ctdb/config/ctdbd.conf $(CURDIR)/debian/ctdb/etc/ctdb/ctdbd.conf
 	# Install /etc/init.d/ctdb
 	mkdir -p $(CURDIR)/debian/ctdb/etc/init.d
 	install -m755 ctdb/config/ctdb.init $(CURDIR)/debian/ctdb/etc/init.d/ctdb
@@ -199,6 +202,3 @@
 endif
 
 override_dh_installsystemd:
-ifneq (,$(filter samba, $(shell dh_listpackages)))
-	dh_installsystemd -psamba
-endif

## samba 4.9.2+dfsg

=== debian/changelog ===
samba (2:4.9.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Bump build-dependencies to ldb 1.4.2
    - Update debian/samba-libs.install
  * d/gitlab-ci.yml:
    - Update to use include
    - allow_failure for reprotest until #912340 is fixed
  * d/rules: Replace override_dh_perl by override_dh_perl-arch (Closes: #913143)
  * debian/gitlab-ci.yml:
    - Samba sometimes needs ldb from experimental
    - Use ldb from experimental in piuparts

 -- Mathieu Parent <sathieu@debian.org>  Sat, 17 Nov 2018 17:25:10 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libgpgme11-dev,
                libjansson-dev,
                libldap2-dev,
-               libldb-dev (>= 2:1.4.2),
+               libldb-dev (>= 2:1.4.3),
                libncurses5-dev,
                libpam0g-dev,
                libparse-yapp-perl,
@@ -49,8 +49,8 @@
                po-debconf,
                python-all-dev (>= 2.6.6-3),
                python-dnspython,
-               python-ldb (>= 2:1.4.2),
-               python-ldb-dev (>= 2:1.4.2),
+               python-ldb (>= 2:1.4.3),
+               python-ldb-dev (>= 2:1.4.3),
                python-talloc-dev (>= 2.1.14~),
                python-tdb (>= 1.3.16~),
                python-testtools,

## samba 4.9.4+dfsg

=== debian/changelog ===
samba (2:4.9.4+dfsg-4.0nosystemd1) nosystemd; urgency=medium

  * nosystemd 

 -- anticapitalista <antix@operamail.com>  Wed, 27 Feb 2019 16:26:42 +0200

samba (2:4.9.4+dfsg-4) unstable; urgency=medium

  * samba-libs: Add Breaks+Replaces: libndr-standard0 (<< 4) (Closes: #910242)
  * Improve AppArmor integration (Closes: #896080)
    - Install update-apparmor-samba-profile 1.2 from Christian Boltz (openSUSE)
    - Adapt update-apparmor-samba-profile: Rename apparmor profile snippet, and
      test for it's directory
    - smbd.init: Run update-apparmor-samba-profile before start
    - smbd.service: Run update-apparmor-samba-profile before start
    - Remove /etc/apparmor.d/samba/smbd-shares on purge

 -- Mathieu Parent <sathieu@debian.org>  Tue, 26 Feb 2019 22:18:19 +0100

samba (2:4.9.4+dfsg-3) unstable; urgency=medium

  [ Ivo De Decker ]
  * Remove myself from uploaders

  [ Mathieu Parent ]
  * Update debian/gitlab-ci.yml
  * Standards-Version: 4.3.0
  * Add upstream patch for python-gpg support
  * Replace Suggests: python-gpgme by Recommends: python-gpg (Closes: #876984)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 15 Feb 2019 11:14:10 +0100

samba (2:4.9.4+dfsg-2) unstable; urgency=medium

  * Append +really0.02 to libparse-pidl-perl version (Closes: #918564)
  * Add apport hook (From Ubuntu)
  * Change build dependency to libglusterfs-dev (Closes: #919667)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 23 Jan 2019 20:59:08 +0100

samba (2:4.9.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Remove patches for previous security fixes, merged
    - Remove unused lintian overrides (library-not-linked-against-libc)
  * ignore create_builtin_guests() failing without a valid idmap configuration
    (Closes: #909465, #899269)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 22 Dec 2018 18:32:00 +0100

samba (2:4.9.2+dfsg-2) unstable; urgency=high

  * New upstream security release
    - CVE-2018-14629 Unprivileged adding of CNAME record causing loop in AD
      Internal DNS server
    - CVE-2018-16841 Double-free in Samba AD DC KDC with PKINIT
    - CVE-2018-16851 NULL pointer de-reference in Samba AD DC LDAP server
    - CVE-2018-16852 NULL pointer de-reference in Samba AD DC DNS servers
    - because of CVE-2018-16853 (Samba AD DC S4U2Self Crash in experimental
      MIT Kerberos configuration (unsupported)), mark the MIT Kerberos build of
      the Samba AD DC as experimental (not used in Debian package)
    - CVE-2018-16857 Bad password count in AD DC not always effective
  * Prepend 1.5.1+really to ldb version

 -- Mathieu Parent <sathieu@debian.org>  Sat, 24 Nov 2018 23:21:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
            Jelmer Vernooĳ <jelmer@debian.org>,
-           Ivo De Decker <ivodd@debian.org>,
            Mathieu Parent <sathieu@debian.org>,
            Andrew Bartlett <abartlet+debian@catalyst.net.nz>
 Homepage: http://www.samba.org
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends: bison,
                debhelper (>= 11),
                dh-exec,
@@ -16,7 +15,6 @@
                docbook-xml,
                docbook-xsl,
                flex,
-               glusterfs-common [linux-any],
                libacl1-dev,
                libarchive-dev,
                libattr1-dev,
@@ -29,18 +27,18 @@
                libcmocka-dev (>= 1.1.1),
                libcups2-dev,
                libdbus-1-dev,
+               libglusterfs-dev [linux-any],
                libgnutls28-dev,
                libgpgme11-dev,
                libjansson-dev,
                libldap2-dev,
-               libldb-dev (>= 2:1.4.3),
+               libldb-dev (>= 2:1.5.1+really1.4.3),
                libncurses5-dev,
                libpam0g-dev,
                libparse-yapp-perl,
                libpcap-dev [hurd-i386 kfreebsd-any],
                libpopt-dev,
                libreadline-dev,
-               libsystemd-dev [linux-any],
                libtalloc-dev (>= 2.1.14~),
                libtdb-dev (>= 1.3.16~),
                libtevent-dev (>= 0.9.37~),
@@ -49,8 +47,8 @@
                po-debconf,
                python-all-dev (>= 2.6.6-3),
                python-dnspython,
-               python-ldb (>= 2:1.4.3),
-               python-ldb-dev (>= 2:1.4.3),
+               python-ldb (>= 2:1.5.1+really1.4.3),
+               python-ldb-dev (>= 2:1.5.1+really1.4.3),
                python-talloc-dev (>= 2.1.14~),
                python-tdb (>= 1.3.16~),
                python-testtools,
@@ -110,7 +108,8 @@
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: samba (<< 2:4.3.3+dfsg-1)
+Breaks: libndr-standard0 (<< 4)
+Replaces: samba (<< 2:4.3.3+dfsg-1), libndr-standard0 (<< 4)
 Description: Samba core libraries
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
@@ -243,7 +242,6 @@
 Architecture: any
 Section: python
 Provides: ${python:Provides}
-Suggests: python-gpgme
 Depends: python-crypto,
          python-ldb,
          python-tdb,
@@ -251,6 +249,7 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
+Recommends: python-gpg
 Description: Python bindings for Samba
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/pkg-info.mk
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
@@ -20,7 +21,7 @@
 # samba ships ldb modules, which are specific to the ldb version, so we need a
 # strict dependency on the upstream ldb version
 # this also mean samba needs a rebuild when the upstream ldb version changes
-LDB_DEPENDS = "libldb1 (<< $(LDB_EPOCH):$(LDB_NEXT_VERSION)~), libldb1 (>> $(LDB_EPOCH):$(LDB_VERSION)~)"
+LDB_DEPENDS = "libldb1 (<< $(LDB_EPOCH):1.5.1+really$(LDB_NEXT_VERSION)~), libldb1 (>> $(LDB_EPOCH):1.5.1+really$(LDB_VERSION)~)"
 export PYSHORT=$(shell pyversions -d)
 export PYTHON=$(shell which $(PYSHORT))
 export PYTHON_CONFIG="$(PYTHON)-config"
@@ -69,7 +70,7 @@
 		--with-socketpath=/var/run/ctdb/ctdbd.socket \
 		--with-logdir=/var/log/ctdb
 
-ifeq ($(DEB_HOST_ARCH_OS), linux)
+ifeq ($(DEB_HOST_ARCH_OS), poetterix)
 	conf_args += \
 		--with-systemd \
 		--systemd-install-services \
@@ -123,12 +124,15 @@
 	# Debian goodies
 	cp debian/smb.conf* $(DESTDIR)/usr/share/samba/
 	install -m755 debian/panic-action $(DESTDIR)/usr/share/samba/panic-action
+	install -m755 debian/update-apparmor-samba-profile $(DESTDIR)/usr/share/samba/update-apparmor-samba-profile
 	cp debian/gdbcommands $(DESTDIR)/etc/samba/
 	mkdir -p $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d
 	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d/samba
 	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd
 	mkdir -p $(DESTDIR)/etc/ufw/applications.d
 	install -m644 debian/samba.ufw.profile $(DESTDIR)/etc/ufw/applications.d/samba
+	mkdir -p $(DESTDIR)/usr/share/apport/package-hooks
+	install -D -m 644 debian/source_samba.py $(DESTDIR)/usr/share/apport/package-hooks/source_samba.py
 	# Install other stuff not installed by "make install"
 	mkdir -p debian/samba/usr/lib/$(PYSHORT)/dist-packages/samba
 	mv $(DESTDIR)/usr/lib/$(PYSHORT)/dist-packages/samba/dckeytab.so \
@@ -144,26 +148,6 @@
 	rm $(DESTDIR)/usr/bin/ctdb_run_cluster_tests
 	rm -r $(DESTDIR)/usr/lib/*/ctdb/tests
 	rm -r $(DESTDIR)/usr/share/ctdb/tests
-ifeq ($(DEB_HOST_ARCH_OS), linux)
-	# Install systemd configs
-	mkdir -p $(DESTDIR)/lib/systemd/system/
-	install -m 0644 ctdb/config/ctdb.service $(DESTDIR)/lib/systemd/system/
-	# Services fixups
-	mv $(DESTDIR)/lib/systemd/system/nmb.service $(DESTDIR)/lib/systemd/system/nmbd.service
-	mv $(DESTDIR)/lib/systemd/system/smb.service $(DESTDIR)/lib/systemd/system/smbd.service
-	mv $(DESTDIR)/lib/systemd/system/samba.service $(DESTDIR)/lib/systemd/system/samba-ad-dc.service
-	sed -i \
-	  -e 's|/etc/sysconfig/|/etc/default/|' \
-	  -e 's|nmb\.service|nmbd.service|' \
-	  -e 's|smb\.service|smbd.service|' \
-	  -e 's|samba\.service|samba-ad-dc.service|' \
-	  $(DESTDIR)/lib/systemd/system/nmbd.service \
-	  $(DESTDIR)/lib/systemd/system/samba-ad-dc.service \
-	  $(DESTDIR)/lib/systemd/system/smbd.service \
-	  $(DESTDIR)/lib/systemd/system/winbind.service
-endif
-	# Harmless on systems without systemd-tmpfiles, and other consumers exist
-	# such as OpenRC's opentmpfiles
 	mkdir -p $(DESTDIR)/usr/lib/tmpfiles.d
 	echo "d /run/samba 0755 root root -" > $(DESTDIR)/usr/lib/tmpfiles.d/samba.conf
 
@@ -201,4 +185,29 @@
 	dh_installinit -pctdb --no-start --no-stop-on-upgrade --onlyscripts
 endif
 
-override_dh_installsystemd:
+override_dh_installpam:
+	dh_installpam --name=samba
+
+override_dh_perl-arch:
+	dh_perl -a
+	# Fix Perl shbangs
+	sed -i '1s@^#!/usr/bin/env perl@#!/usr/bin/perl@' \
+	  debian/libparse-pidl-perl/usr/bin/pidl \
+	  debian/smbclient/usr/bin/findsmb
+
+override_dh_fixperms:
+	dh_fixperms
+ifneq (,$(filter samba-common, $(shell dh_listpackages)))
+	chmod a+x debian/samba-common/usr/share/samba/panic-action
+endif
+ifneq (,$(filter samba, $(shell dh_listpackages)))
+	chmod 1777 debian/samba/var/spool/samba/
+endif
+ifneq (,$(filter smbclient, $(shell dh_listpackages)))
+	chmod 0700 debian/smbclient/usr/lib/*/samba/smbspool_krb5_wrapper
+endif
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_makeshlibs:

## samba 4.9.5%2Bdfsg

=== lib/crypto/wscript ===
#!/usr/bin/env python

def set_options(opt):
    opt.add_option('--accel-aes',
        help=("Should we use accelerated AES crypto functions. Options are intelaesni|none."),
        action="store", dest='accel_aes', default="none")
